<template>
  <div>
    <v-toolbar color="primary" fixed dark app>
      <v-toolbar-title class="ml-0 pl-3">
        <v-toolbar-side-icon
          @click.stop="handleDrawerToggle"
        ></v-toolbar-side-icon>
      </v-toolbar-title>
      <v-spacer></v-spacer>
      <v-btn icon @click="handleFullScreen()">
        <v-icon>fullscreen</v-icon>
      </v-btn>   
      <v-menu offset-y origin="center center" :nudge-bottom="10" transition="scale-transition">
        <v-btn slot="activator" icon large flat>
          <v-avatar size="30px">
            <img :src="avatar" alt="User" />
          </v-avatar>
        </v-btn>        
        <v-list class="pa-0">
          <v-list-tile
            v-for="(item, index) in items"
            :key="index"
            :to="!item.href ? { name: item.name } : null"
            :href="item.href"
            ripple="ripple"
            :disabled="item.disabled"
            :target="item.target"
            rel="noopener"
            @click="item.click"
          >
            <v-list-tile-action v-if="item.icon">
              <v-icon>{{ item.icon }}</v-icon>
            </v-list-tile-action>
            <v-list-tile-content>
              <v-list-tile-title>{{
                $t(`translations.toolbar.${item.title}`)
              }}</v-list-tile-title>
            </v-list-tile-content>
          </v-list-tile>
        </v-list>
      </v-menu>         
    </v-toolbar>
  </div>
</template>
<script>
import Util from "@/util";
import Avatar from "@/assets/usr.jpg";
export default {
  name: "app-toolbar",
  components: {
  },
  data: d => ({
    avatar: Avatar,   
    settings: null,
    items: [     
      {
        icon: "fullscreen_exit",
        href: "#",
        title: "logout",
        click: e => {
          window.getApp.$emit("APP_LOGOUT");
        }
      }
    ], 
  }),
  mounted() {
  },
  computed: {
    toolbarColor() {
      return this.$vuetify.options.extra.mainNav;
    }
  },
  methods: {
    handleDrawerToggle() {
      window.getApp.$emit("APP_DRAWER_TOGGLED");
    },
    handleFullScreen() {
      Util.toggleFullScreen();
    },
    logout() {
      this.$store.dispatch("LOGOUT");
    }
  }
};
</script>
